kf6-purpose (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:19:18 +0100

kf6-purpose (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:49:34 +0100

kf6-purpose (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:36:41 +0100

kf6-purpose (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 07:01:49 +0100

kf6-purpose (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:56:08 +0000

kf6-purpose (6.11.0-0ubuntu3) plucky; urgency=medium

  * Move to ${qml6:Depends} for QML 6 package dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 16 Feb 2025 21:03:45 -0600

kf6-purpose (6.11.0-0ubuntu2) plucky; urgency=high

  * Sync changes from debian/6.10.0-1

 -- Rik Mills <rikmills@kde.org>  Sat, 15 Feb 2025 15:10:06 +0000

kf6-purpose (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:51:09 +0000

kf6-purpose (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Update runtime depends.
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:22:29 +0000

kf6-purpose (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)
  * Build with kaccounts again.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:50:18 +0000

kf6-purpose (6.8.0-0ubuntu3) plucky; urgency=medium

  * Revert using dh_qmldeps so we do not depend on kdeconnect.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Dec 2024 14:38:17 +0000

kf6-purpose (6.8.0-0ubuntu2) plucky; urgency=medium

  * Merge changes from 6.6.0-2 in Debian unstable.
    - Use dh_qmldeps to detect QML dependencies.
    - Add qml6-module packages to -dev package for QML dependency
      detection.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 13:58:20 +0000

kf6-purpose (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:39:48 +0000

kf6-purpose (6.6.0-2) unstable; urgency=medium

  * Team upload.
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.
  * Remove not needed depdendecy on qml6-module-org-kde-
    kquickcontrolsaddons.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 20:55:40 +0100

kf6-purpose (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:15:04 +0200

kf6-purpose (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:09:12 +0100

kf6-purpose (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * Fix the 'acc' autopkgtest:
    - set -std=c++17, needed when using Qt 6
    - fix the paths with headers
  * CI: update/simplify configuration.
  * Drop extra whitespaces in changelog.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Aug 2024 06:14:03 +0200

kf6-purpose (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Drop optional dependency on kaccounts for now, until it’s available in
    unstable too.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:12 +0200

kf6-purpose (6.5.0-0ubuntu2) oracular; urgency=medium

  * qml6-module-org-kde-purpose: Demote kdeconnect from recommends to
    suggests. Request by lubuntu-dev.

 -- Rik Mills <rikmills@kde.org>  Sat, 14 Sep 2024 12:59:35 +0100

kf6-purpose (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:25:27 +0100

kf6-purpose (6.4.0-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Make the versioned Breaks/Replaces against the correct version of the KF6
    package.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 30 Jul 2024 11:50:13 +0200

kf6-purpose (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.4.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:25:03 +0200

kf6-purpose (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Fix acc autopkgtest: correct headers names and add
    libKF6PurposeWidgets.so to libs
  * Add again to libkf6purpose-bin some files which do not conflict with
    libkf5purpose-bin

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:36:45 +0100

kf6-purpose (6.3.0-4) experimental; urgency=medium

  [ Scarlett Moore ]
  * Add back breaks/replace as the conflict is acually on the
    service files.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 17 Jul 2024 16:21:09 -0700

kf6-purpose (6.3.0-3) experimental; urgency=medium

  [ Scarlett Moore ]
  * Add myself to uploaders.
  * Allow co-installability with kf5 bin package by tightening
    the install file to only install the renamed {icon}6 files
    and removing the breaks/replace.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 17 Jul 2024 07:31:59 -0700

kf6-purpose (6.3.0-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Only Breaks / Replaces against the versions of libkf5purpose-bin that
    actually conflict with libkf6purpose-bin.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 10 Jul 2024 22:33:44 +0200

kf6-purpose (6.3.0-1ubuntu2) oracular; urgency=medium

  * Update install so not to conflict with kf5 bin package.

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Jul 2024 00:47:31 +0100

kf6-purpose (6.3.0-1ubuntu1) oracular; urgency=medium

  * Build without optional kaccounts until available for Qt6.

 -- Rik Mills <rikmills@kde.org>  Thu, 27 Jun 2024 10:37:30 +0100

kf6-purpose (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 15:01:10 +0200

kf6-purpose (6.0.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add missing Breaks+Replaces for libkf6purpose-bin against
    libkf5purpose-bin (Closes: #1072156).

 -- Patrick Franz <deltaone@debian.org>  Wed, 29 May 2024 19:35:19 +0200

kf6-purpose (6.0.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add/update Jonathan Esk-Riddell in upstream signing keys.
  * Build against Qt6.

  [ Patrick Franz ]
  * Create new packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 25 May 2024 11:54:57 +0200

purpose (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:07:10 +0100

purpose (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.107.0.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:46 +0200

purpose (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:03 +0100

purpose (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:32 +0100

purpose (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:11 +0100

purpose (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:36 +0100

purpose (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:06 +0100

purpose (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:13:14 +0200

purpose (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:41 +0200

purpose (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Refresh lintian overrides.
  * Add missing runtime dependency on qml-module-org-kde-prison.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:10 +0200

purpose (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:07 +0200

purpose (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:48 +0200

purpose (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:45 +0100

purpose (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * Cherry-pick upstream fix for sharing to telegram (Closes: #996683).
  * New upstream release (5.88.0).
  * Drop upstream included patch.
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:43 +0900

purpose (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 11:05:17 +0900

purpose (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:49 +0900

purpose (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:07:39 +0900

purpose (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:12 +0900

purpose (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:32:18 +0900

purpose (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:25:42 +0900

purpose (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:21 +0900

purpose (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:37 +0900

purpose (5.79.0-2) experimental; urgency=medium

  [ Norbert Preining ]
  * Strengthen B-D for libkf5notifications-dev, fix failed builds.

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 20:01:06 +0900

purpose (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:30 +0900

purpose (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:27 +0900

purpose (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:44 +0900

purpose (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:37 +0900

purpose (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:56 +0900

purpose (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:18:49 +0200

purpose (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file to libkf5purpose5.
  * Purpose does not depend on libkf5wallet-dev.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Update symbols from build for 5.74.0.
  * Update lintian-overrides.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:34 +0200

purpose (5.70.0-2) unstable; urgency=medium

  * Team upload.
  * The twitter plugin was removed in version 5.68.0, so:
    - remove the nodejs recommend from libkf5purpose-bin, as it was needed
      for it
    - remove the README.Debian in libkf5purpose-bin mentioning the nodejs
      recommend
  * Demote the kdeconnect recommend in libkf5purpose-bin to a suggest:
    anything that links to libkf5purpose5 gets libkf5purpose-bin added as
    dependency, so installing kdeconnect by default seems too much if only
    the library is used.
  * Remove unused build dependencies: kaccounts-integration, and
    libsignon-qt5-dev.
  * Explicitly add the gettext build dependency.
  * Update lintian overrides.
  * Remove the libkf5purpose-bin dependency in libkf5purpose-dev, as the former
    is not needed to build things using the Purpose libraries.
  * Bump the libkaccounts-dev build dependency to 20.08.0, to make sure to
    build against libkaccounts2.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 00:47:04 +0200

purpose (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 1.1-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove not needed Build-Depends.
  * Straighten kirigami dependencies.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:58:04 +0200

purpose (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Add Build-Depends-Package to symbols file.
  * Remove not needed nodejs-name patch.
  * Delete KPacakge files from libkf5purpose-bin package.
  * Bump compat level to 13.
  * Remove kpackage plugin dir (twitter plugin was removed).
  * Update copyright file.
  * Enable hardening all.
  * Delete not needed Breaks/Confilcts.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:58:47 +0200

purpose (5.62.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Limit the qml-module-org-kde-bluezqt dependency in libkf5purpose-bin to
    Linux architectures only, as bluez (and thus bluez-qt) exists only on
    Linux.

 -- Pino Toscano <pino@debian.org>  Tue, 01 Oct 2019 18:44:52 +0200

purpose (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:18 -0700

purpose (5.61.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Refresh patches
  * Add libkf5notifications-dev build-dep
  * Ignore reprotest build path variations
  * Release to experimental

  [ Jonathan Riddell ]
  * moved qdebug files

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:11:10 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libkf6purpose6`.
